Merge pull request #91 from thetechprepper/misc/post-r6-build6-updates

Merge misc/post-r6-build6 updates to release/r6
This commit is contained in:
thetechprepper
2026-03-07 17:19:14 -07:00
committed by GitHub
6 changed files with 79 additions and 42 deletions
+47 -19
View File
@@ -1,7 +1,7 @@
# ETC Regression Tests # ETC Regression Tests
- **Build**: ETC R6 Build 6 - **Build**: ETC R6 Build 7
- **Date**: 6 March 2026 - **Date**: 7 March 2026
## Desktop/Launcher Icons ## Desktop/Launcher Icons
@@ -15,8 +15,7 @@
## et-predict ## et-predict
* [ ] Map displays * [ ] Map rendered
* [ ] Location geodetected
* [ ] Callsign search * [ ] Callsign search
* [ ] Run prediction (e.g, ardop, ssb, vara-500, etc.) * [ ] Run prediction (e.g, ardop, ssb, vara-500, etc.)
@@ -24,54 +23,83 @@
* [ ] Conky * [ ] Conky
* [ ] lat,lon * [ ] lat,lon
* [ ] dynamic grid * [ ] Dynamic grid
* [ ] et-api - http://localhost:1981/api/geo/position * [ ] et-api - http://localhost:1981/api/geo/position
* [ ] GPS Time * [ ] GPS Time
* [ ] et-predict - location geodetected
* [ ] Navit
* [ ] State-level map rendered
* [ ] Location geodetected
## User Configuration ## User Configuration
* [ ] Launch JS8Call before et-user init (not allowed) * [ ] Launch JS8Call before et-user init (not allowed)
* [ ] et-user-restore * [ ] Launch fldigi before et-user init (not allowed)
* [ ] et-user * [ ] et-user
* [ ] Conky updated with callsign and grid
## Radio ## Radio
* [ ] et-radio * [ ] et-radio
* [ ] TX-500MP * [ ] TX-500MP
* [ ] IC-7200
* [ ] JS8Call * [ ] JS8Call
* [ ] alsamixer levels * [ ] Callsign and grid displayed
[ ] dynamic grid * [ ] Call groups (TTP, TTPNET, @GHOSTNET, @GSTFLASH, @AMRRON)
[ ] Decode data * [ ] Decode data
[ ] Tune up + full TX power out * [ ] Tune up + full TX power out
[ ] SNR + full TX power out * [ ] SNR + full TX power out
* [ ] Settings > Station Info = ETC_<BUILD>
* [ ] alsamixer level (IC-7200 = 82 PCM)
* [ ] fldigi
* [ ] Tune up + full TX power out
* [ ] Callsign displayed
## SDR
* [ ] et-aircraft-app * [ ] et-aircraft-app
* [ ] Geolocation * [ ] Launch app before SDR is connected (not allowed)
* [ ] Map rendered
* [ ] Location geodetected
* [ ] RTL-SDR v4 * [ ] RTL-SDR v4
* [ ] Offline FAA info
* [ ] RTL-SDR v3 * [ ] RTL-SDR v3
* [ ] RTL-SDR v2 * [ ] RTL-SDR v2
* [ ] ADS-B Exchange * [ ] ADS-B Exchange
* [ ] et-mode * [ ] SDR++
[ ] FT-857D + Winlink ARDOP * [ ] WFM broadcast
## et-mode
* [ ] winlink-ardop
* [ ] Callsign displayed
* [ ] Listener enabled
* [ ] RMS station listed
* [ ] Select RMS gateway => VFO updated
* [ ] Connect
## Bluetooth TNC ## Bluetooth TNC
* [ ] et-uv-pro * [ ] et-uv-pro
* [ ] pair
* [ ] connect
* [ ] Winlink
* [ ] QtTermTCP
* [ ] YAAC
* [ ] unpair
## VARA ## VARA
* [ ] et-radio => DigiRig Lite
* [ ] VARA restore * [ ] VARA restore
* [ ] et-mode VARA FM (Winlink) * [ ] et-mode VARA FM (Winlink)
* [ ] et-mode VARA HF (Winlink) * [ ] et-mode VARA HF (Winlink)
## SDR
* [ ] SDR++
## SIGINT ## SIGINT
* [ ] Artemis * [ ] Artemis
* [ ] Available via application search
* [ ] Signal database renders
## Security ## Security
+2 -2
View File
@@ -16,8 +16,8 @@ HideControls=true
Miles=true Miles=true
MyCall=N0CALL MyCall=N0CALL
MyGrid=DM33 MyGrid=DM33
MyGroups=@@TTP,@@TTPNET MyGroups=@@TTP,@@TTPNET,@@GHOSTNET,@@GSTFLASH,@@AMRRON
MyInfo=ETC R5 MyInfo=ETC R6
Polling=1 Polling=1
PSKReporter=false PSKReporter=false
PTTMethod=@Variant(\0\0\0\x7f\0\0\0\x1eTransceiverFactory::PTTMethod\0\0\0\0\xfPTT_method_CAT\0) PTTMethod=@Variant(\0\0\0\x7f\0\0\0\x1eTransceiverFactory::PTTMethod\0\0\0\0\xfPTT_method_CAT\0)
@@ -1,18 +1,18 @@
2025 05 2025.371 : 131.5 7.6 2025 09 2025.705 : 114.6 4.7
2025 06 2025.453 : 129.4 13.2 2025 10 2025.790 : 111.8 10.3
2025 07 2025.538 : 125.9 16.5 2025 11 2025.873 : 109.5 13.4
2025 08 2025.623 : 121.7 17.4 2025 12 2025.958 : 108.0 14.6
2025 09 2025.705 : 118.0 17.7 2026 01 2026.042 : 106.3 16.7
2025 10 2025.790 : 115.1 20.1 2026 02 2026.122 : 103.8 18.6
2025 11 2025.873 : 112.7 21.6 2026 03 2026.204 : 100.3 18.7
2025 12 2025.958 : 111.0 22.0 2026 04 2026.286 : 96.4 17.9
2026 01 2026.042 : 109.1 22.4 2026 05 2026.371 : 92.8 17.8
2026 02 2026.122 : 106.3 22.5 2026 06 2026.453 : 89.1 18.9
2026 03 2026.204 : 102.7 22.0 2026 07 2026.538 : 85.9 20.9
2026 04 2026.286 : 98.7 21.3 2026 08 2026.623 : 83.5 23.0
2026 05 2026.371 : 94.9 20.3 2026 09 2026.705 : 81.3 24.2
2026 06 2026.453 : 90.9 20.2 2026 10 2026.790 : 78.7 24.9
2026 07 2026.538 : 87.5 21.6 2026 11 2026.873 : 75.7 25.2
2026 08 2026.623 : 85.1 23.7 2026 12 2026.958 : 72.6 25.2
2026 09 2026.705 : 82.9 25.1 2027 01 2027.042 : 69.4 25.1
2026 10 2026.790 : 80.3 25.8 2027 02 2027.122 : 66.1 26.2
File diff suppressed because one or more lines are too long
@@ -8,6 +8,11 @@
"ptt": "RIG" "ptt": "RIG"
}, },
"notes": [ "notes": [
"[MENU] > [SET] > [Connectors] > [CI-V] > CI-V USB Baud Rate = 19200" "[MENU] > [SET] > [Connectors] > [CI-V] > CI-V USB Baud Rate = 19200",
"[MENU] > [SET] > [Connectors] > DATA MOD = USB",
"[FUNCTION] > AGC = FAST",
"Set MODE = USB-D",
"Set FILTER = FIL1 (3000)",
"Set alsamixer PCM to 82"
] ]
} }
+5 -1
View File
@@ -1,7 +1,8 @@
#!/bin/bash #!/bin/bash
# Author : Gaston Gonzalez # Author : Gaston Gonzalez
# Date : 15 February 2025 # Date : 15 February 2025
# Purpose : Install YAAC # Updated : 7 March 2025
# Purpose : Install Artemis
set -e set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
@@ -44,3 +45,6 @@ fi
ln -s ${INSTALL_DIR} ${LINK_PATH} ln -s ${INSTALL_DIR} ${LINK_PATH}
cd ${CWD_DIR} cd ${CWD_DIR}
et-log "Installing ${APP} launcher icon..."
cp -v ../overlay/usr/share/applications/artemis.desktop /usr/share/applications/